# FormalClientSystemService
> 操作系统信息库服务

---

## countFormalClientSystems
> 计算操作系统信息数量

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/FormalClientSystemService/countFormalClientSystems`
- RPC：`rpc countFormalClientSystems(CountFormalClientSystemsRequest) returns (RPCCountResponse);`

**请求对象 (`CountFormalClientSystemsRequest`)**

```json
{
  "keyword": "string // 可选"
}
```

**响应对象 (`RPCCountResponse`)**

```json
{
  "count": "int64 // 数量"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/FormalClientSystemService/countFormalClientSystems" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## createFormalClientSystem
> 创建操作系统信息

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/FormalClientSystemService/createFormalClientSystem`
- RPC：`rpc createFormalClientSystem(CreateFormalClientSystemRequest) returns (CreateFormalClientSystemResponse);`

**请求对象 (`CreateFormalClientSystemRequest`)**

```json
{
  "name": "string // 名称",
  "codes": "[]string",
  "dataId": "string"
}
```

**响应对象 (`CreateFormalClientSystemResponse`)**

```json
{
  "formalClientSystemId": "int64"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/FormalClientSystemService/createFormalClientSystem" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findFormalClientSystemWithDataId
> 通过dataId查询操作系统信息

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/FormalClientSystemService/findFormalClientSystemWithDataId`
- RPC：`rpc findFormalClientSystemWithDataId(FindFormalClientSystemWithDataIdRequest) returns (FindFormalClientSystemWithDataIdResponse);`

**请求对象 (`FindFormalClientSystemWithDataIdRequest`)**

```json
{
  "dataId": "string"
}
```

**响应对象 (`FindFormalClientSystemWithDataIdResponse`)**

```json
{
  "formalClientSystem": "FormalClientSystem"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/FormalClientSystemService/findFormalClientSystemWithDataId" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## listFormalClientSystems
> 列出单页操作系统信息

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/FormalClientSystemService/listFormalClientSystems`
- RPC：`rpc listFormalClientSystems(ListFormalClientSystemsRequest) returns (ListFormalClientSystemsResponse);`

**请求对象 (`ListFormalClientSystemsRequest`)**

```json
{
  "keyword": "string // 可选",
  "offset": "int64 // 读取位置",
  "size": "int64 // 数量，通常不能小于0"
}
```

**响应对象 (`ListFormalClientSystemsResponse`)**

```json
{
  "formalClientSystems": "[]FormalClientSystem"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/FormalClientSystemService/listFormalClientSystems" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateFormalClientSystem
> 修改操作系统信息

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/FormalClientSystemService/updateFormalClientSystem`
- RPC：`rpc updateFormalClientSystem(UpdateFormalClientSystemRequest) returns (RPCSuccess);`

**请求对象 (`UpdateFormalClientSystemRequest`)**

```json
{
  "formalClientSystemId": "int64",
  "name": "string // 名称",
  "codes": "[]string",
  "dataId": "string"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/FormalClientSystemService/updateFormalClientSystem" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
